
import sys
import os
from collections import OrderedDict

def get_elements(filename='element.txt'):

    elements = OrderedDict()

    if getattr(sys, 'frozen', False):
        datadir = os.path.dirname(sys.executable)
    else:
        datadir = os.path.dirname(__file__)

    filename = os.path.join(datadir, filename)

    with open(filename) as file:
        line = next(file)
        while line[0] == "#":
            line = next(file)

        while line:
            info = line.split()
            record = {}
            num = int(info[0])
            record['symbol'] = info[1]
            record['vradius'] = float(info[5])
            record['cradius'] = float(info[3])
            record['name'] = info[-1]
            record['rgb'] = [ float(x) for x in info[-4:-1] ]
            elements[num] = record
            line = next(file, None)

    return elements

if __name__ == "__main__":
    elements = get_elements()
    print elements[6]['name'], elements[3]['cradius'], elements[3]['rgb']

